| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
bb2diaspora.php File Reference

## Functions
| get_bb_tag_pos ($s, $name, $occurance=1)
| bb_tag_preg_replace ($pattern, $replace, $name, $s)
| diaspora2bb ($s)
| stripdcode_br_cb ($s)
| diaspora_ul ($s)
| diaspora_ol ($s)
| bb2diaspora ($Text, $preserve_nl=false, $fordiaspora=true)
| unescape_underscores_in_links ($m)
| format_event_diaspora ($ev)

## Function Documentation

bb2diaspora | ( |  | $Text,
|  |  | $preserve_nl = `false`,
|  |  | $fordiaspora = `true`
| ) |  |

Transform #tags, strip off the [url] and replace spaces with underscore

Referenced by format_event_diaspora().

bb_tag_preg_replace | ( |  | $pattern,
|  |  | $replace,
|  |  | $name,
|  |  | $s
| ) |  |

Referenced by diaspora2bb().

diaspora2bb | ( |  | $s | ) |

diaspora_ol | ( |  | $s | ) |

diaspora_ul | ( |  | $s | ) |

format_event_diaspora | ( |  | $ev | ) |

get_bb_tag_pos | ( |  | $s,
|  |  | $name,
|  |  | $occurance = `1`
| ) |  |

Referenced by bb_tag_preg_replace().

stripdcode_br_cb | ( |  | $s | ) |

unescape_underscores_in_links | ( |  | $m | ) |